
TYPO3.Fluid - Bug # 12863

Status: New Priority: Should have
Author: Georg Ringer Category: Core
Created: 2011-02-08 Assigned To: Sebastian Kurfuerst
Updated: 2011-10-21 Due date:
Has patch: No
Affected Flow version: FLOW3 1.0.0
Subject: Attributes of a viewhelper can't contain a '-'
Description

It seems that a '-' in the key of an attribute destroys everything

example of viewhelper

<f:for each="{wallpapers}" as="wallpaper">
<w:download allow-Upscaling="1" src="uploads/tx_wallpaper/{wallpaper.image}">1920 x 1200</w:download><br />
</f:for>

gives the error

Templating tags not properly nested. Expected: Tx_Fluid_ViewHelpers_ForViewHelper; Actual:
Tx_Wallpaper_ViewHelpers_DownloadViewHelper

2 possible solutions (IMHO):
- Allow the '-'
- Define allowed chars (a-z,0-9) and throw a correct exception

History
#1 - 2011-05-06 10:39 - Sebastian Kurfuerst
- Category set to Core
- Assigned To set to Sebastian Kurfuerst
- Priority changed from Should have to Must have
- Target version set to 1.0 beta 1

#2 - 2011-05-06 11:14 - Sebastian Kurfuerst
- Parent task set to #26665
- Has patch set to No

#3 - 2011-05-06 11:18 - Sebastian Kurfuerst
- Tracker changed from Task to Bug
- Parent task deleted (#26665)

#4 - 2011-08-04 08:23 - Sebastian Kurfuerst
- Priority changed from Must have to Should have
- Target version changed from 1.0 beta 1 to 1230

2015-08-03 1/2



#5 - 2011-10-20 01:42 - Karsten Dambekalns
- Target version deleted (1230)

#6 - 2011-10-21 13:37 - Karsten Dambekalns
- Affected Flow version set to FLOW3 1.0.0
